
#Copyright 2013 Pradap  and Arun Kumar and Christopher Re
#
#Licensed under the Apache License, Version 2.0 (the "License");
#you may not use this file except in compliance with the License.
#You may obtain a copy of the License at
#
#http://www.apache.org/licenses/LICENSE-2.0
#
#Unless required by applicable law or agreed to in writing, software
#distributed under the License is distributed on an "AS IS" BASIS,
#WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#See the License for the specific language governing permissions and
#limitations under the License.
#
#
GetNPlotOpTypeFreqsSubDF <- function(stats.list, index) {
	
	batch.num <- c()
	op.class <- c()
	num.ops <- c()

	idx <- 1
	batch.num[idx] <- unlist(stats.list[['batch.idx']])[index]
	op.class[idx] <- 'desc.stat'
	num.ops[idx] <- unlist(stats.list[['num.desc.stats']])[index]
	
	idx <- 2
	batch.num[idx] <- unlist(stats.list[['batch.idx']])[index]
	op.class[idx] <- 'evaluate'
	num.ops[idx] <- unlist(stats.list[['num.eval']])[index]

	idx <- 3
	batch.num[idx] <- unlist(stats.list[['batch.idx']])[index]
	op.class[idx] <- 'explore'
	num.ops[idx] <- unlist(stats.list[['num.expl']])[index]
	
		browser()
	df <- data.frame(batch.num, op.class, num.ops)
	names(df) <- c('Batch', 'OpClass', 'NumOperations')
	return(df)
}
GetNPlotOpTypeFreqsDF <- function(stats.list) {
	stats.list[['batch.idx']] <- UpdateBatchIndices(stats.list[['batch.idx']])
	num.batches <- length(unlist(stats.list[['batch.idx']]))
	df <- data.frame()
	for(idx in seq(1, num.batches, 1)) {
		sub.df <- GetNPlotOpTypeFreqsSubDF(stats.list, idx)
		df <- rbind(df, sub.df)
	}	
	return(df)
} 

	
