
#Copyright 2013 Pradap  and Arun Kumar and Christopher Re
#
#Licensed under the Apache License, Version 2.0 (the "License");
#you may not use this file except in compliance with the License.
#You may obtain a copy of the License at
#
#http://www.apache.org/licenses/LICENSE-2.0
#
#Unless required by applicable law or agreed to in writing, software
#distributed under the License is distributed on an "AS IS" BASIS,
#WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#See the License for the specific language governing permissions and
#limitations under the License.
#
#
source('global.R')
source('plotCorrelation.R')
source('plots.R')



id <- GetDatasetId("Telecom")
fs1 <- AssignFeatureSet(c("DATAVOLUME", "NUMMMSOUT", "NUMVASOUT", "NUMCALLSFIXEDOUT", "DURATIONFIXEDINC", "NUMSMSINTEROUT", "NUMSMSCMPINC", "NUMSMSVASINC"), dataset.id = id)
fs2 <- AssignFeatureSet(c("NUMCALLSFIXEDOUT"), dataset.id = id)
fs3 <- DelFeatureSet(fs1, fs2, dataset.id = id)
fm2 <- CoeffLearner(fs3, "igd", num.iters = 2, dataset.id = id)
fs5 <- StepDel(fs3, "cg", "aic", dataset.id = id)

