CorrxResult <- function(inp.list, dataset.id) {
	corr.values <- unlist(inp.list$values)
	feat.list <- inp.list$feature.list[[1]]
	feature.name.list <- lapply(lapply(feat.list, as.numeric), GetFeatureNames, dataset.id)
	df <- data.frame()
	for(i in 1:length(feature.name.list)) {
		df <- rbind(df, data.frame(feature.name.list[[i]][1], feature.name.list[[i]][2],
corr.values[i]))
	}
	names(df) <- c("Feature1", "Feature2", "CorrValue")
	return(df)
}
